"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.itemController = void 0;
const common_1 = require("@nestjs/common");
const auth_jwt_auth_guard_1 = require("../auth/auth.jwt-auth.guard");
const item_entity_1 = require("./item.entity");
const item_service_1 = require("./item.service");
let itemController = class itemController {
    constructor(itemService) {
        this.itemService = itemService;
    }
    async findAll() {
        return this.itemService.findAll();
    }
    async create(entity) {
        this.itemService.save(entity);
    }
    async update(entity) {
        this.itemService.save(entity);
    }
    async delete(entity) {
        this.itemService.save(entity);
    }
    async findEntitiesByRegex(name) {
        return this.itemService.findRegexByName(name);
    }
};
__decorate([
    (0, common_1.Get)('item'),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], itemController.prototype, "findAll", null);
__decorate([
    (0, common_1.UseGuards)(auth_jwt_auth_guard_1.JwtAuthGuard),
    (0, common_1.Post)('item'),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [item_entity_1.itemEntity]),
    __metadata("design:returntype", Promise)
], itemController.prototype, "create", null);
__decorate([
    (0, common_1.UseGuards)(auth_jwt_auth_guard_1.JwtAuthGuard),
    (0, common_1.Put)('item'),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [item_entity_1.itemEntity]),
    __metadata("design:returntype", Promise)
], itemController.prototype, "update", null);
__decorate([
    (0, common_1.UseGuards)(auth_jwt_auth_guard_1.JwtAuthGuard),
    (0, common_1.Delete)('item'),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [item_entity_1.itemEntity]),
    __metadata("design:returntype", Promise)
], itemController.prototype, "delete", null);
__decorate([
    (0, common_1.Get)('item/search/:name'),
    __param(0, (0, common_1.Param)('name')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", Promise)
], itemController.prototype, "findEntitiesByRegex", null);
itemController = __decorate([
    (0, common_1.Controller)('service'),
    __metadata("design:paramtypes", [item_service_1.ItemService])
], itemController);
exports.itemController = itemController;
//# sourceMappingURL=item.controller.js.map