import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { AppController } from './app.controller';
import { AppService } from './app.service';
import { itemEntity } from './item/item.entity';
import { itemModule } from './item/item.module';
import { helloModule } from './hello/hello.module';
import { AuthModule } from './auth/auth.module';

@Module({
  imports: [
    TypeOrmModule.forRoot({
      type: 'postgres',
      host: 'localhost',
      port: 8075,
      username: 'user',
      password: 'password',
      database: 'storeB',
      entities: [itemEntity],
      synchronize: true,
    }),
    itemModule,
    helloModule,
    AuthModule
  ],
  controllers: [
    AppController,
  ],
  providers: [
    AppService,
  ],
})
export class AppModule {}
