import {
    Body,
    Controller,
    Delete,
    Get,
    Param,
    Post,
    ParseIntPipe,
    Put,
    Res,
    HttpStatus,
    UseGuards,
  } from '@nestjs/common';
import { JwtAuthGuard } from 'src/auth/auth.jwt-auth.guard';
  import { itemEntity } from './item.entity';
  import { ItemService } from './item.service';
  
  @Controller('service')
  export class itemController {

    constructor(private readonly itemService: ItemService) {}

    @Get('item')
    async findAll(): Promise<itemEntity[]> {
      return this.itemService.findAll();
    }
    
    @UseGuards(JwtAuthGuard)
    @Post('item')
    async create(@Body() entity: itemEntity) {
      this.itemService.save(entity);
    }

    @UseGuards(JwtAuthGuard)
    @Put('item')
    async update(@Body() entity: itemEntity): Promise<void> {
      this.itemService.save(entity); 
    }

    @UseGuards(JwtAuthGuard)
    @Delete('item')
    async delete(@Body() entity: itemEntity): Promise<void> {
      this.itemService.save(entity);
    }

    @Get('item/search/:name')
    async findEntitiesByRegex(@Param('name') name: string): Promise<itemEntity[]> {
      return this.itemService.findRegexByName(name);
    }

  }