import { Injectable } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { Repository } from 'typeorm';
import { itemEntity } from './item.entity';

@Injectable()
export class ItemService {
    constructor(
        @InjectRepository(itemEntity)
        private itemRepository: Repository<itemEntity>,
    ) {}
    
    save(entityToSave: itemEntity): Promise<itemEntity> {
        const entity = new itemEntity();
        entity.name = entityToSave.name;
        entity.weight = entityToSave.weight;
        entity.price = entityToSave.price;
        return this.itemRepository.save(entity);
    }
        
    findAll(): Promise<itemEntity[]> {
        return this.itemRepository.find();
    }

    async delete(id: string): Promise<void> {
        await this.itemRepository.delete(id);
    }

    findFirstByName(name: string): Promise<itemEntity> {
        return this.itemRepository.findOneBy({ name });
    }

    findRegexByName(name: string): Promise<itemEntity[]> {
        return this.itemRepository.findBy({ name });
    }
}