import { NestExpressApplication } from '@nestjs/platform-express';
import { join } from 'path';

import { NestFactory } from '@nestjs/core';
import { AppModule } from './app.module';

// = main en java
async function bootstrap() {
  const app = await NestFactory.create<NestExpressApplication>(
    AppModule,
  );

  app.useStaticAssets(join(__dirname, '..', 'public'));
  app.setBaseViewsDir(join(__dirname, '..', 'views'));
  app.setViewEngine('hbs');

  await app.listen(3000);
}
bootstrap();
